Get candidate availabilities list

Get candidate availabilities list

Query Params
filters
object

Search filters

It's possible to filter the list with filters combination:

filters[tea_id]=%uuid% - filter by specific TEA from the TEA group

filters[candidate_ref]=8304/06 - filter by candidate's Flexible Reference identifier

filters['started_at_greater_than']=%timestamp% - filter by availability starting date >= '%timestamp%'

filters['started_at_less_than']=%timestamp% - filter by availability starting date <= '%timestamp%'

pagination:

The result list uses cursor-based pagination for better optimization for interactions via the big amount of records

after

To get 1st page with initial cursor values, request as

URL?limit=100

parse 'next' value and navigate to next page, as

URL?limit=100&after={next} to retrieve the next page of results.

before

parse 'before' value from next pages response and navigate to previouse page, as

URL?limit=100&before={prev}

integer
≥ 0

Number of entries per page

string

Cursor to limit the results at the end

string

Cursor to limit the results at the beginning

Responses

401

Returned in case authentication is lacking, invalid or expired

404

Returned in case the requested item can not be found

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json